Enroll Face

This method helps you to enroll image containing face.
You will receive a response consists of message and an error code if the request fails to process. The following is a list of error codes.

Error statusError codeDescription
200FAIL_ON_1fail on liveness
200FAIL_ON_2fail on attribute
200FAIL_ON_3fail on liveness and attribute
200FAIL_ON_4fail on quality
200FAIL_ON_5fail on liveness and quality
200FAIL_ON_6fail on attribute and quality
200FAIL_ON_7fail on liveness, attribute, and quality
200FAIL_ON_8fail on number of face (nface)
200FAIL_ON_9fail on number of face (nface) and liveness
200FAIL_ON_10fail on number of face (nface) and attribute
200FAIL_ON_11fail on number of face (nface), attribute, and liveness
200FAIL_ON_12fail on number of face (nface) and quality
200FAIL_ON_13fail on number of face (nface), quality, and liveness
200FAIL_ON_14fail on number of face (nface), quality, and attribute
200FAIL_ON_15fail on number of face (nface), quality, attribute, and liveness
400INVALID_PAYLOADno value in payload or empty string more than 1
400INVALID_PAYLOAD_IMAGE_MISSINGinvalid payload image not a standard b64/url or image empty string
400INVALID_PAYLOAD_SUBJECT_ID_MISSINGinvalid payload subject id is empty string
400INVALID_PAYLOAD_IMAGE_SIZEinvalid payload image size too large
400MISSING_PAYLOAD_IMAGEmissing payload image
400INVALID_PAYLOAD_IMAGE_TIMEOUTtimeout getting image from url in 15 seconds
400INVALID_PAYLOAD_IMAGE_FORMATimage unable to be decoded/got from url OR invalid image extension
400FACE_NOT_DETECTEDface not detected from image
400INVALID_PAYLOAD_QUALITY_VALIDATION_DEPENDENCYis_quality must be true if validate_quality true
400INVALID_PAYLOAD_ATTRIBUTE_VALIDATION_DEPENDENCYis_attribute must be true if validate_attribute true
400INVALID_PAYLOAD_LIVENESS_VALIDATION_DEPENDENCYis_liveness must be true if validate_liveness true
403INSUFFICIENT_QUOTA_ENROLLusage reach it quota limit for enroll (only appears on testing mode)
403INSUFFICIENT_QUOTA_LIVENESSusage reach it quota limit for liveness (only appears on testing mode)
500INTERNAL_SERVER_ERRORinternal server error
Body Params
string
required

A base64 or URL image file.

string

used to update enrolled photo.

boolean
Defaults to true

A flag to determine whether Image Quality (blur, dark, grayscale) will be computed and return as result

boolean
Defaults to true

A flag to determine whether Image Attribute (sunglasses, mask, veil, hat) will be detected and return as result

boolean
Defaults to false

A flag to determine whether Passive Liveness will be computed and return as result

boolean
Defaults to false

Determines whether Quality validation will be executed. The validation consists of checking blur and dark with threshold, and also checking whether the image is a black & white image (grayscale is true). When is_liveness is set to true, it is best that validate_quality is set to true, as liveness is influenced by Quality.

boolean
Defaults to false

Determines whether Attribute validation will be executed. The validation consists of checking whether sunglasses or mask is detected in the input image.

boolean
Defaults to null

Determines whether Liveness validation will be executed. The validation checks whether input image is live / spoof.

boolean
Defaults to false

Determines whether the number of faces validation will be executed. The validation checks whether the input image consists of more than one face.

Headers
string
required
string
required
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json